set terminal postscript eps color solid "Times-Roman" 18
set output 'Test2d11.eps'
set title ""
set xlabel "Abscise curviligne"
set ylabel "derivee normale de V"
#set ylabel "Erreur sur la derivee normale de V"
set key right top
set samples 512
n = 2 ; a=.5
f(s) = (s<pi) ? cos(n*s) : a**n*cos(n*(pi-(s-pi)/a))
g(s) = (s<pi) ? n*cos(n*s) : -n*a**(n-1)*cos(n*(pi-(s-pi)/a))

plot \
'L2D05.out'  every :::5::5 using ($4):($5)  title  "V, L2D05" with points 1,\
f(x) title  "Analytic" with lines 1,\
'L2D05.out'  every :::5::5 using ($4):($6)  title  "dV/dn, L2D05" with points 2,\
g(x) title  "Analytic" with lines 2

#plot [0:2]\
#'L2D05.out'  every :::5::5 using ($4):($6-f($4))  title  "L2D05" with points
