$debug
	implicit real*8 (a-h,k,o-y)
	implicit complex*16 (z)
c
	open(6,file='Tournaire.txt')
c
	pi = 4.d0 * Datan ( 1.d0 )
	zi = dcmplx(0.d0,1.d0)
	np = 180
c
	write(*,'('' Sondes de Tournaire '')')
1	write(*,'('' Donner theta0 en deg : ''\)')
	read(*,*)theta0deg
	theta0 = Pi*theta0deg/180.d0

c
	k = (1-dsin(theta0))/(1+dsin(theta0))
	write(*,'('' k :'',f10.6)')k
	kp = Dsqrt(1.d0-k**2)
c
c	Calcul de q
c
	x = ( 1.d0 - dsqrt(kp) ) / ( 1.d0 + dsqrt(kp) )	
	y =  ( x / 2.d0 ) ** 4
c
	q = 1707.d0 
	q = q * y + 150.d0
	q = q * y + 15.d0
	q = q * y + 2.d0
	q = q * y + 1.d0
	q = q * x / 2.d0	
c
c	Calcul de K ( q )
c
	write(*,'('' q :'',f10.6)')q
	x = q
	x2 = x*x
	tg = x / ( 1.d0 + x2 )	
	s = 0.d0
	write(*,'('' s,tg :'',2f10.6)')s,tg
c
	do while ( tg.ge.1.d-15 )
	s = s + tg
	x = x * q
	x2 = x2 * q * q		
	tg = x / ( 1.d0 + x2 )	
	write(*,'('' s,tg :'',2f10.6)')s,tg
	enddo
c
	gK = PI/2.d0 * ( 1.d0 + 4.d0 * s)
	write(*,'('' K :'',2f10.6)')gK,pi/2
c
c	Calcul de Psi0
c
	Psi0 = - DLOG(q) / pi
c
	Write(*,'('' Courant,Psi0 :'',f10.6)') Psi0
c
c	Calcul de F sur le cercle
c
	do i=1,np
	theta = (Pi/2)*(dble(i)-.5d0)/dble(Np)
	z = CDexp(dcmplx(0,theta))*(1.d0-1.d-15)
c
	zgamma = (1.d0+dsin(theta0))/dcos(theta0)/zi
	zt = zgamma*(z+zi)/(z-zi)
	write(*,'('' z :''2f10.6/'' t :''2f10.6)')z,zt
c
c	Calcul de sn-1
c
	alp0 = dasin(k)
	zphi0 = zdasin(zt) 
	fac = 1.d0
	nterm = 0
c
	do while ( dabs(alp0-pi/2.) . ge . 1.d-15) 
c
	x = 2.d0/(1.d0+dsin(alp0))
	fac = fac * x
	alp1 = dacos( x - 1.d0 )
	ztg =   zdasin( dsin(alp0)*cdsin(zphi0))
	zphi1 = .5d0 * (zphi0 + ztg )
c
	alp0 = alp1
	zphi0 = zphi1
	write(*,'('' Alpha :'',f10.6,'' Phi :'',2f10.6)')alp0,zphi0
	nterm = nterm+1
	enddo
c

      zdFdz = 1.d0/sqrt(1.d0-zt**2)/sqrt(1.d0-(k*zt)**2)
	zdFdz = zdFdz/gK*2.d0*z*zgamma/(z-zi)**2
	aJ = Dimag(zdFdz)
	zF = fac * cdlog ( zdtan ( pi/4.d0 + zphi1/2.d0 ) )

	V = Dreal(zf/gK-zi*Psi0/2.d0)
	Psi = Dimag(zf/gK-zi*Psi0/2.d0)


	write(*,'('' Z         = '',2f10.5,'' Theta ='',f10.6/
     *	          '' Potentiel = '',2f10.6/
     &              '' Derivee    ='',2f10.6)')z,
     & theta*180./pi,V, Psi,zdFdz

c
	write(6,'( 4f12.8)')theta,V,aJ
c
	enddo
	end


	complex*16 function zdasin(z)
	implicit real*8 (a-h,o-y)
	implicit complex*16 (z)
c
	data zi / (0.d0,1.d0) /
	z1 = zi * z
	zdasin = -zi * cdlog ( z1 + cdsqrt ( z1 * z1 + 1.d0 ) )
c
	end
c
	complex*16 function zdtan(z)
	implicit real*8 (a-h,o-y)
	implicit complex*16 (z)
	zdtan = cdsin(z) / cdcos(z)
	end
