set terminal postscript eps color solid "Times-Roman" 18
set output 'Test2d12.eps'
set title ""
set xlabel "Abscise curviligne"
set ylabel "V et derivee normale de V"
#set ylabel "Erreur sur la derivee normale de V"
set key right bottom
set samples 512
n = 2 ; z=.5
f(s) = cos(n*s)/(1+n*z)
g(s) = n*cos(n*s)/(1+n*z)

plot [0:pi]\
'L2D05.out'  every :::5::5 using ($4):($5)  title  "V, L2D05" with points 1,\
f(x) title  "Analytic" with lines 1,\
'L2D05.out'  every :::5::5 using ($4):($6)  title  "dV/dn, L2D05" with points 2,\
g(x) title  "Analytic" with lines 2
